Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4He3EvaporationProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4He3EvaporationProbability.cc	(revision 1340)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4He3EvaporationProbability.cc	(revision 1347)
@@ -24,11 +24,15 @@
 // ********************************************************************
 //
-//J.M. Quesada (August2008). Based on:
+// $Id: G4He3EvaporationProbability.cc,v 1.18 2010/11/17 11:06:03 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
+//
+// J.M. Quesada (August2008). Based on:
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Oct 1998)
 //
-// Modif (03 September 2008) by J. M. Quesada for external choice of inverse 
-// cross section option
+// Modified:
+// 03-09-2008 J.M. Quesada for external choice of inverse cross section option
+// 17-11-2010 V.Ivanchenko integer Z and A
 
 #include "G4He3EvaporationProbability.hh"
@@ -36,64 +40,45 @@
 G4He3EvaporationProbability::G4He3EvaporationProbability() :
    G4EvaporationProbability(3,2,2,&theCoulombBarrier) // A,Z,Gamma,&theCoulombBarrier
-{
-
-}
-
-G4He3EvaporationProbability::G4He3EvaporationProbability(const G4He3EvaporationProbability &) : G4EvaporationProbability()
-{
-    throw G4HadronicException(__FILE__, __LINE__, "G4He3EvaporationProbability::copy_constructor meant to not be accessable");
-}
-
-
-
-
-const G4He3EvaporationProbability & G4He3EvaporationProbability::
-operator=(const G4He3EvaporationProbability &)
-{
-    throw G4HadronicException(__FILE__, __LINE__, "G4He3EvaporationProbability::operator= meant to not be accessable");
-    return *this;
-}
-
-
-G4bool G4He3EvaporationProbability::operator==(const G4He3EvaporationProbability &) const
-{
-    return false;
-}
-
-G4bool G4He3EvaporationProbability::operator!=(const G4He3EvaporationProbability &) const
-{
-    return true;
-}
-
-  G4double G4He3EvaporationProbability::CalcAlphaParam(const G4Fragment & fragment)  
-  { return 1.0 + CCoeficient(static_cast<G4double>(fragment.GetZ()-GetZ()));}
+{}
+
+G4He3EvaporationProbability::~G4He3EvaporationProbability() 
+{}
+
+G4double G4He3EvaporationProbability::CalcAlphaParam(const G4Fragment & fragment)  
+  { return 1.0 + CCoeficient(fragment.GetZ_asInt()-GetZ());}
 	
-  G4double G4He3EvaporationProbability::CalcBetaParam(const G4Fragment & )  
+G4double G4He3EvaporationProbability::CalcBetaParam(const G4Fragment & )  
   { return 0.0; }
 
 
-G4double G4He3EvaporationProbability::CCoeficient(const G4double aZ) 
-{
-    // Data comes from 
-    // Dostrovsky, Fraenkel and Friedlander
-    // Physical Review, vol 116, num. 3 1959
-    // 
-    // const G4int size = 5;
-    // G4double Zlist[5] = { 10.0, 20.0, 30.0, 50.0, 70.0};
-    //	G4double Calpha[5] = { 0.10, 0.10, 0.10, 0.08, 0.06};
-    // C for He3 is equal to C for alpha times 4/3
-    G4double C = 0.0;
+G4double G4He3EvaporationProbability::CCoeficient(G4int aZ) 
+{
+  // Data comes from 
+  // Dostrovsky, Fraenkel and Friedlander
+  // Physical Review, vol 116, num. 3 1959
+  // 
+  // const G4int size = 5;
+  // G4double Zlist[5] = { 10.0, 20.0, 30.0, 50.0, 70.0};
+  //	G4double Calpha[5] = { 0.10, 0.10, 0.10, 0.08, 0.06};
+  // C for He3 is equal to C for alpha times 4/3
+  G4double C = 0.0;
 	
-	
-    if (aZ <= 30) {
-	C = 0.10;
-    } else if (aZ <= 50) {
-	C = 0.1 + -((aZ-50.)/20.)*0.02;
-    } else if (aZ < 70) {
-	C = 0.08 + -((aZ-70.)/20.)*0.02;
-    } else {
-	C = 0.06;
-    }
-    return C*(4.0/3.0);
+  if (aZ <= 30)
+    {
+      C = 0.10;
+    }
+  else if (aZ <= 50)
+    {
+      C = 0.1 - (aZ - 30)*0.001;
+    }
+  else if (aZ < 70)
+    {
+      C = 0.08 - (aZ - 50)*0.001;
+    }
+  else
+    {
+      C = 0.06;
+    }
+  return C*(4.0/3.0);
 }
 
@@ -104,71 +89,73 @@
 //OPT=3,4 Kalbach's parameterization 
 // 
-G4double G4He3EvaporationProbability::CrossSection(const  G4Fragment & fragment, const  G4double K)
-{
-       theA=GetA();
-       theZ=GetZ();
-       ResidualA=fragment.GetA()-theA;
-       ResidualZ=fragment.GetZ()-theZ; 
- 
-       ResidualAthrd=std::pow(ResidualA,0.33333);
-       FragmentA=fragment.GetA();
-       FragmentAthrd=std::pow(FragmentA,0.33333);
-
-
-       if (OPTxs==0) {std::ostringstream errOs;
-         errOs << "We should'n be here (OPT =0) at evaporation cross section calculation (He3's)!!"  
-	       <<G4endl;
-         throw G4HadronicException(__FILE__, __LINE__, errOs.str());
-         return 0.;}
-       if( OPTxs==1 || OPTxs==2) return G4He3EvaporationProbability::GetOpt12( K);
-       else if (OPTxs==3 || OPTxs==4)  return G4He3EvaporationProbability::GetOpt34( K);
-       else{
-         std::ostringstream errOs;
-         errOs << "BAD He3's CROSS SECTION OPTION AT EVAPORATION!!"  <<G4endl;
-         throw G4HadronicException(__FILE__, __LINE__, errOs.str());
-         return 0.;
-       }
-}
-//
-//********************* OPT=1,2 : Chatterjee's cross section ************************ 
+G4double 
+G4He3EvaporationProbability::CrossSection(const  G4Fragment & fragment, G4double K)
+{
+
+  theA=GetA();
+  theZ=GetZ();
+  ResidualA=fragment.GetA_asInt()-theA;
+  ResidualZ=fragment.GetZ_asInt()-theZ; 
+  
+  ResidualAthrd=fG4pow->Z13(ResidualA);
+  FragmentA=fragment.GetA_asInt();
+  FragmentAthrd=fG4pow->Z13(FragmentA);
+
+  if (OPTxs==0) {std::ostringstream errOs;
+  errOs << "We should'n be here (OPT =0) at evaporation cross section calculation (He3's)!!"  
+	<<G4endl;
+  throw G4HadronicException(__FILE__, __LINE__, errOs.str());
+  return 0.;}
+  if( OPTxs==1 || OPTxs==2) return G4He3EvaporationProbability::GetOpt12( K);
+  else if (OPTxs==3 || OPTxs==4)  return G4He3EvaporationProbability::GetOpt34( K);
+  else{
+    std::ostringstream errOs;
+    errOs << "BAD He3's CROSS SECTION OPTION AT EVAPORATION!!"  <<G4endl;
+    throw G4HadronicException(__FILE__, __LINE__, errOs.str());
+    return 0.;
+  }
+}
+
+//********************* OPT=1,2 : Chatterjee's cross section *****************
 //(fitting to cross section from Bechetti & Greenles OM potential)
 
 G4double G4He3EvaporationProbability::GetOpt12(const  G4double K)
 {
-
-G4double Kc=K;
-
-// JMQ xsec is set constat above limit of validity
- if (K>50) Kc=50;
-
- G4double landa ,mu ,nu ,p , Ec,q,r,ji,xs;
-
- G4double     p0 = -3.06;
- G4double     p1 = 278.5;
- G4double     p2 = -1389.;
- G4double     landa0 = -0.00535;
- G4double     landa1 = -11.16;
- G4double     mu0 = 555.5;
- G4double     mu1 = 0.40;
- G4double     nu0 = 687.4;
- G4double     nu1 = -476.3;
- G4double     nu2 = 0.509;    
- G4double     delta=1.2;              
-
-      Ec = 1.44*theZ*ResidualZ/(1.5*ResidualAthrd+delta);
-      p = p0 + p1/Ec + p2/(Ec*Ec);
-      landa = landa0*ResidualA + landa1;
-      mu = mu0*std::pow(ResidualA,mu1);
-      nu = std::pow(ResidualA,mu1)*(nu0 + nu1*Ec + nu2*(Ec*Ec));
-      q = landa - nu/(Ec*Ec) - 2*p*Ec;
-      r = mu + 2*nu/Ec + p*(Ec*Ec);
-
-   ji=std::max(Kc,Ec);
-   if(Kc < Ec) { xs = p*Kc*Kc + q*Kc + r;}
-   else {xs = p*(Kc - ji)*(Kc - ji) + landa*Kc + mu + nu*(2 - Kc/ji)/ji ;}
-   
-   if (xs <0.0) {xs=0.0;}
+  G4double Kc = K;
+
+  // JMQ xsec is set constat above limit of validity
+  if (K > 50*MeV) { Kc = 50*MeV; }
+
+  G4double landa ,mu ,nu ,p , Ec,q,r,ji,xs;
+
+  G4double     p0 = -3.06;
+  G4double     p1 = 278.5;
+  G4double     p2 = -1389.;
+  G4double     landa0 = -0.00535;
+  G4double     landa1 = -11.16;
+  G4double     mu0 = 555.5;
+  G4double     mu1 = 0.40;
+  G4double     nu0 = 687.4;
+  G4double     nu1 = -476.3;
+  G4double     nu2 = 0.509;    
+  G4double     delta=1.2;              
+
+  Ec = 1.44*theZ*ResidualZ/(1.5*ResidualAthrd+delta);
+  p = p0 + p1/Ec + p2/(Ec*Ec);
+  landa = landa0*ResidualA + landa1;
+
+  G4double resmu1 = fG4pow->powZ(ResidualA,mu1); 
+  mu = mu0*resmu1;
+  nu = resmu1*(nu0 + nu1*Ec + nu2*(Ec*Ec));
+  q = landa - nu/(Ec*Ec) - 2*p*Ec;
+  r = mu + 2*nu/Ec + p*(Ec*Ec);
+  
+  ji=std::max(Kc,Ec);
+  if(Kc < Ec) { xs = p*Kc*Kc + q*Kc + r;}
+  else {xs = p*(Kc - ji)*(Kc - ji) + landa*Kc + mu + nu*(2 - Kc/ji)/ji ;}
+  
+  if (xs <0.0) {xs=0.0;}
               
-   return xs;
+  return xs;
 
 }
@@ -178,13 +165,10 @@
 //c     ** 3he from o.m. of gibson et al
 {
-  
   G4double landa, mu, nu, p , signor(1.),sig;
   G4double ec,ecsq,xnulam,etest(0.),a; 
   G4double b,ecut,cut,ecut2,geom,elab;
-  
-  
+
   G4double     flow = 1.e-18;
   G4double     spill= 1.e+18;
-
 
   G4double     p0 = -2.88;
@@ -200,5 +184,5 @@
   
   G4double      ra=0.80;
-  
+        
   //JMQ 13/02/09 increase of reduced radius to lower the barrier
   // ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
@@ -207,10 +191,10 @@
   p = p0 + p1/ec + p2/ecsq;
   landa = landa0*ResidualA + landa1;
-  a = std::pow(ResidualA,mu1);
+  a = fG4pow->powZ(ResidualA,mu1);
   mu = mu0 * a;
   nu = a* (nu0+nu1*ec+nu2*ecsq);  
   xnulam = nu / landa;
-  if (xnulam > spill) xnulam=0.;
-  if (xnulam >= flow) etest = 1.2 *std::sqrt(xnulam);
+  if (xnulam > spill) { xnulam=0.; }
+  if (xnulam >= flow) { etest = 1.2 *std::sqrt(xnulam); }
   
   a = -2.*p*ec + landa - nu/ecsq;
@@ -221,18 +205,19 @@
   ecut = (ecut-a) / (p+p);
   ecut2 = ecut;
-//JMQ 290310 for avoiding unphysical increase below minimum (at ecut)
-//ecut<0 means that there is no cut with energy axis, i.e. xs is set to 0 bellow minimum
-//  if (cut < 0.) ecut2 = ecut - 2.;
-  if (cut < 0.) ecut2 = ecut;
-  elab = K * FragmentA / ResidualA;
+  //JMQ 290310 for avoiding unphysical increase below minimum (at ecut)
+  // ecut<0 means that there is no cut with energy axis, i.e. xs is set
+  // to 0 bellow minimum
+  //  if (cut < 0.) ecut2 = ecut - 2.;
+  if (cut < 0.) { ecut2 = ecut; }
+  elab = K * FragmentA /G4double(ResidualA);
   sig = 0.;
-
+  
   if (elab <= ec) { //start for E<Ec
-    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;
+    if (elab > ecut2) { sig = (p*elab*elab+a*elab+b) * signor; }
   }           //end for E<Ec
   else {           //start for E>Ec
     sig = (landa*elab+mu+nu/elab) * signor;
     geom = 0.;
-    if (xnulam < flow || elab < etest) return sig;
+    if (xnulam < flow || elab < etest) { return sig; }
     geom = std::sqrt(theA*K);
     geom = 1.23*ResidualAthrd + ra + 4.573/geom;
@@ -243,5 +228,2 @@
   
 }
-
-//   ************************** end of cross sections ******************************* 
-
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationChannel.cc	(revision 1340)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationChannel.cc	(revision 1347)
@@ -25,35 +25,18 @@
 //
 //
-// $Id: G4NeutronEvaporationChannel.cc,v 1.4 2006/06/29 20:10:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-ref-09 $
+// $Id: G4NeutronEvaporationChannel.cc,v 1.5 2010/11/17 12:14:59 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Nov. 1999)
 //
+// 17-11-2010 V.Ivanchenko moved constructor and destructor to source and cleanup
 
 #include "G4NeutronEvaporationChannel.hh"
 
+G4NeutronEvaporationChannel::G4NeutronEvaporationChannel() 
+: G4EvaporationChannel(1,0,"neutron",&theEvaporationProbability,&theCoulombBarrier) 
+{}
 
-const G4NeutronEvaporationChannel & G4NeutronEvaporationChannel::operator=(const G4NeutronEvaporationChannel & )
-{
-    throw G4HadronicException(__FILE__, __LINE__, "G4NeutronEvaporationChannel::operator= meant to not be accessable");
-    return *this;
-}
-
-G4NeutronEvaporationChannel::G4NeutronEvaporationChannel(const G4NeutronEvaporationChannel & ) : G4EvaporationChannel()
-{
-    throw G4HadronicException(__FILE__, __LINE__, "G4NeutronEvaporationChannel::CopyConstructor meant to not be accessable");
-}
-
-G4bool G4NeutronEvaporationChannel::operator==(const G4NeutronEvaporationChannel & right) const 
-{
-    return (this == (G4NeutronEvaporationChannel *) &right);
-    //  return false;
-}
-
-G4bool G4NeutronEvaporationChannel::operator!=(const G4NeutronEvaporationChannel & right) const 
-{
-    return (this != (G4NeutronEvaporationChannel *) &right);
-    //  return true;
-}
-
+G4NeutronEvaporationChannel::~G4NeutronEvaporationChannel() 
+{}
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationProbability.cc	(revision 1340)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationProbability.cc	(revision 1347)
@@ -24,11 +24,15 @@
 // ********************************************************************
 //
-//J.M. Quesada (August2008). Based on:
+// $Id: G4NeutronEvaporationProbability.cc,v 1.16 2010/11/17 11:06:03 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
+//
+// J.M. Quesada (August2008). Based on:
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Oct 1998)
 //
-// Modif (03 September 2008) by J. M. Quesada for external choice of inverse 
-// cross section option
+// Modified:
+// 03-09-2008 J.M. Quesada for external choice of inverse cross section option
+// 17-11-2010 V.Ivanchenko integer Z and A
 
 #include "G4NeutronEvaporationProbability.hh"
@@ -36,43 +40,19 @@
 G4NeutronEvaporationProbability::G4NeutronEvaporationProbability() :
     G4EvaporationProbability(1,0,2,&theCoulombBarrier) // A,Z,Gamma,&theCoulombBarrier
-{
-  
-}
-
-
-G4NeutronEvaporationProbability::G4NeutronEvaporationProbability(const G4NeutronEvaporationProbability &) : G4EvaporationProbability()
-{
-    throw G4HadronicException(__FILE__, __LINE__, "G4NeutronEvaporationProbability::copy_constructor meant to not be accessable");
-}
-
-
-
-
-const G4NeutronEvaporationProbability & G4NeutronEvaporationProbability::
-operator=(const G4NeutronEvaporationProbability &)
-{
-    throw G4HadronicException(__FILE__, __LINE__, "G4NeutronEvaporationProbability::operator= meant to not be accessable");
-    return *this;
-}
-
-
-G4bool G4NeutronEvaporationProbability::operator==(const G4NeutronEvaporationProbability &) const
-{
-    return false;
-}
-
-G4bool G4NeutronEvaporationProbability::operator!=(const G4NeutronEvaporationProbability &) const
-{
-    return true;
-}
-
- G4double G4NeutronEvaporationProbability::CalcAlphaParam(const G4Fragment & fragment) 
-  { return 0.76+2.2/std::pow(static_cast<G4double>(fragment.GetA()-GetA()),1.0/3.0);}
-
+{}
+
+G4NeutronEvaporationProbability::~G4NeutronEvaporationProbability()
+{}
+
+G4double G4NeutronEvaporationProbability::CalcAlphaParam(const G4Fragment & fragment) 
+{ 
+  return 0.76+2.2/fG4pow->Z13(fragment.GetA_asInt()-GetA());
+}
 	
-  G4double G4NeutronEvaporationProbability::CalcBetaParam(const G4Fragment &  fragment) 
-  { return (2.12/std::pow(static_cast<G4double>(fragment.GetA()-GetA()),2.0/3.0) - 0.05)*MeV/
-      CalcAlphaParam(fragment); }
-
+G4double G4NeutronEvaporationProbability::CalcBetaParam(const G4Fragment &  fragment) 
+{ 
+  return (2.12/fG4pow->Z23(fragment.GetA_asInt()-GetA()) - 0.05)*MeV/
+    CalcAlphaParam(fragment); 
+}
 
 ////////////////////////////////////////////////////////////////////////////////////
@@ -82,15 +62,15 @@
 //OPT=3,4 Kalbach's parameterization 
 // 
- G4double G4NeutronEvaporationProbability::CrossSection(const  G4Fragment & fragment, const  G4double K)
+G4double 
+G4NeutronEvaporationProbability::CrossSection(const  G4Fragment & fragment, G4double K)
 { 
   theA=GetA();
   theZ=GetZ();
-  ResidualA=fragment.GetA()-theA;
-  ResidualZ=fragment.GetZ()-theZ; 
- 
-  ResidualAthrd=std::pow(ResidualA,0.33333);
-  FragmentA=fragment.GetA();
-  FragmentAthrd=std::pow(FragmentA,0.33333);
-
+  ResidualA=fragment.GetA_asInt()-theA;
+  ResidualZ=fragment.GetZ_asInt()-theZ; 
+  
+  ResidualAthrd=fG4pow->Z13(ResidualA);
+  FragmentA=fragment.GetA_asInt();
+  FragmentAthrd=fG4pow->Z13(FragmentA);
 
   if (OPTxs==0) {std::ostringstream errOs;
@@ -107,20 +87,16 @@
   }
 }
-
-
-
-
-
-
-//********************* OPT=1,2 : Chatterjee's cross section ************************ 
+ 
+//********************* OPT=1,2 : Chatterjee's cross section ***************
 //(fitting to cross section from Bechetti & Greenles OM potential)
 
-G4double G4NeutronEvaporationProbability::GetOpt12(const  G4double K)
+G4double G4NeutronEvaporationProbability::GetOpt12(G4double K)
 {
-
   G4double Kc=K;
 
-// JMQ  xsec is set constat above limit of validity
-  if (K>50) Kc=50;
+  // Pramana (Bechetti & Greenles) for neutrons is chosen 
+
+  // JMQ  xsec is set constat above limit of validity
+  if (K > 50*MeV) { Kc = 50*MeV; }
 
   G4double landa, landa0, landa1, mu, mu0, mu1,nu, nu0, nu1, nu2,xs;
@@ -143,13 +119,11 @@
     errOs <<"  xsec("<<Kc<<" MeV) ="<<xs <<G4endl;
     throw G4HadronicException(__FILE__, __LINE__, errOs.str());
-  }
+              }
   return xs;
 }
 
-
 // *********** OPT=3,4 : Kalbach's cross sections (from PRECO code)*************
-G4double G4NeutronEvaporationProbability::GetOpt34(const  G4double K)
+G4double G4NeutronEvaporationProbability::GetOpt34(G4double K)
 {
-
   G4double landa, landa0, landa1, mu, mu0, mu1,nu, nu0, nu1, nu2;
   G4double p, p0, p1, p2;
@@ -157,5 +131,5 @@
   G4double b,ecut,cut,ecut2,geom,elab;
 
-//safety initialization
+  //safety initialization
   landa0=0;
   landa1=0;
@@ -169,12 +143,8 @@
   p2=0.;
 
-
   flow = 1.e-18;
   spill= 1.0e+18; 
 
-  
-
-// PRECO xs for neutrons is choosen
-
+  // PRECO xs for neutrons is choosen
   p0 = -312.;
   p1= 0.;
@@ -188,6 +158,6 @@
   nu2 = 1280.8; 
 
-  if (ResidualA < 40.) signor=0.7+ResidualA*0.0075;
-  if (ResidualA > 210.) signor = 1. + (ResidualA-210.)/250.;
+  if (ResidualA < 40)  { signor =0.7 + ResidualA*0.0075; }
+  if (ResidualA > 210) { signor = 1. + (ResidualA-210)/250.; }
   landa = landa0/ResidualAthrd + landa1;
   mu = mu0*ResidualAthrd + mu1*ResidualAthrd*ResidualAthrd;
@@ -195,5 +165,5 @@
 
   // JMQ very low energy behaviour corrected (problem  for A (apprx.)>60)
-  if (nu < 0.)nu=-nu;
+  if (nu < 0.) { nu=-nu; }
 
   ec = 0.5;
@@ -202,9 +172,7 @@
   xnulam = 1.;
   etest = 32.;
-//          ** etest is the energy above which the rxn cross section is
-//          ** compared with the geometrical limit and the max taken.
-//          ** xnulam here is a dummy value to be used later.
-
-
+  //          ** etest is the energy above which the rxn cross section is
+  //          ** compared with the geometrical limit and the max taken.
+  //          ** xnulam here is a dummy value to be used later.
 
   a = -2.*p*ec + landa - nu/ecsq;
@@ -212,24 +180,24 @@
   ecut = 0.;
   cut = a*a - 4.*p*b;
-  if (cut > 0.) ecut = std::sqrt(cut);
+  if (cut > 0.) { ecut = std::sqrt(cut); }
   ecut = (ecut-a) / (p+p);
   ecut2 = ecut;
-  if (cut < 0.) ecut2 = ecut - 2.;
-  elab = K * FragmentA / ResidualA;
+  if (cut < 0.) { ecut2 = ecut - 2.; }
+  elab = K * FragmentA / G4double(ResidualA);
   sig = 0.;
   if (elab <= ec) { //start for E<Ec 
-    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;    
+    if (elab > ecut2) { sig = (p*elab*elab+a*elab+b) * signor; } 
   }              //end for E<Ec
   else {           //start for  E>Ec
     sig = (landa*elab+mu+nu/elab) * signor;
     geom = 0.;
-    if (xnulam < flow || elab < etest) return sig;
+    if (xnulam < flow || elab < etest) { return sig; }
     geom = std::sqrt(theA*K);
     geom = 1.23*ResidualAthrd + ra + 4.573/geom;
     geom = 31.416 * geom * geom;
     sig = std::max(geom,sig);
+
   }
-  return sig;}
-
-//   ************************** end of cross sections ******************************* 
-
+  return sig;
+}
+
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4ProtonEvaporationChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4ProtonEvaporationChannel.cc	(revision 1340)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4ProtonEvaporationChannel.cc	(revision 1347)
@@ -25,36 +25,18 @@
 //
 //
-// $Id: G4ProtonEvaporationChannel.cc,v 1.4 2006/06/29 20:10:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-ref-09 $
+// $Id: G4ProtonEvaporationChannel.cc,v 1.5 2010/11/17 12:14:59 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Nov. 1999)
 //
+// 17-11-2010 V.Ivanchenko moved constructor and destructor to source and cleanup
 
 #include "G4ProtonEvaporationChannel.hh"
 
+G4ProtonEvaporationChannel::G4ProtonEvaporationChannel() 
+: G4EvaporationChannel(1,1,"proton",&theEvaporationProbability,&theCoulombBarrier) 
+{}
 
-const G4ProtonEvaporationChannel & G4ProtonEvaporationChannel::operator=(const G4ProtonEvaporationChannel & )
-{
-    throw G4HadronicException(__FILE__, __LINE__, "G4ProtonEvaporationChannel::operator= meant to not be accessable");
-    return *this;
-}
-
-G4ProtonEvaporationChannel::G4ProtonEvaporationChannel(const G4ProtonEvaporationChannel & ) : G4EvaporationChannel()
-{
-    throw G4HadronicException(__FILE__, __LINE__, "G4ProtonEvaporationChannel::CopyConstructor meant to not be accessable");
-}
-
-G4bool G4ProtonEvaporationChannel::operator==(const G4ProtonEvaporationChannel & right) const 
-{
-    return (this == (G4ProtonEvaporationChannel *) &right);
-    //  return false;
-}
-
-G4bool G4ProtonEvaporationChannel::operator!=(const G4ProtonEvaporationChannel & right) const 
-{
-    return (this != (G4ProtonEvaporationChannel *) &right);
-    //  return true;
-}
-
-
+G4ProtonEvaporationChannel::~G4ProtonEvaporationChannel() 
+{}
